<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'wahid',

    /*
     * Package.
     */
    'package'   => 'test_general',

    /*
     * Modules.
     */
    'modules'   => ['status'],

    
    'status'       => [
        'model' => [
            'model'                 => \Wahid\TestGeneral\Models\Status::class,
            'table'                 => 'statuses',
            'presenter'             => \Wahid\TestGeneral\Repositories\Presenter\StatusPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'status'],
            'translatables'         => [],
            'upload_folder'         => 'test_general/status',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Wahid',
            'package'   => 'TestGeneral',
            'module'    => 'Status',
        ],

    ],
];
