<?php

// API routes  for status
Route::prefix('{guard}/test_general')->group(function () {
    Route::get('status/form/{element}', 'StatusAPIController@form');
    Route::resource('status', 'StatusAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for test_generals
            Route::prefix('{guard}/test_general')->group(function () {
                Route::get('status/form/{element}', 'StatusAPIController@form');
                Route::apiResource('status', 'StatusAPIController');
            });
            // Public routes for test_generals
            Route::get('test_general/Status', 'StatusPublicController@getStatus');
        }
    );
}

