<?php

namespace Wahid\TestGeneral\Repositories\Eloquent;

use Wahid\TestGeneral\Interfaces\StatusRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class StatusRepository extends BaseRepository implements StatusRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('wahid.test_general.status.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('wahid.test_general.status.model.model');
    }
}
